### Enumeration

# Gio FileAttributeType

#### Declaration

    enum Gio.FileAttributeType

#### Description [src]

The data types for file attributes.

#### Members

`G_FILE_ATTRIBUTE_TYPE_INVALID`

  Indicates an invalid or uninitialized type.

  - Value: `0`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_STRING`

  A null terminated UTF8 string.

  - Value: `1`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_BYTE_STRING`

  A zero terminated string of non-zero bytes.

  - Value: `2`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_BOOLEAN`

  A boolean value.

  - Value: `3`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_UINT32`

  An unsigned 4-byte/32-bit integer.

  - Value: `4`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_INT32`

  A signed 4-byte/32-bit integer.

  - Value: `5`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_UINT64`

  An unsigned 8-byte/64-bit integer.

  - Value: `6`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_INT64`

  A signed 8-byte/64-bit integer.

  - Value: `7`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_OBJECT`

  A `GObject`.

  - Value: `8`
  - Available since: 2.0
`G_FILE_ATTRIBUTE_TYPE_STRINGV`

  A `NULL` terminated char **. Since 2.22.

  - Value: `9`
  - Available since: 2.0